﻿@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    Layout = null;
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}
@model AEWeb.ViewModels.Security.LoginViewModel
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - @Localizer["ApplicationName"]</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <environment names="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/lib/font-awesome/css/font-awesome.css" />
        <link rel="stylesheet" href="~/css/animate.css" />
        <link rel="stylesheet" href="~/css/style.css" asp-append-version="true" />

        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
        <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
    </environment>
    <environment names="Staging,Production">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="~/lib/font-awesome/css/font-awesome.min.css" />
        <link rel="stylesheet" href="~/css/animate.css" />
        <link rel="stylesheet" href="~/css/style.css" asp-append-version="true" />
    </environment>
       
</head>
<body class="gray-bg">

    <div class="loginColumns animated fadeInDown">
        <div class="row">

            <div class="col-md-6">
                <h2 class="font-bold">@Localizer["WelcomeToLbl"] @Localizer["ApplicationName"]</h2>

                @Localizer["ApplicationDescription"]

                @Localizer["ApplicationSlogan"]        
                
                <a href="/Landing/Index">@Localizer["BackToLanding"]</a>

            </div>
            <div class="col-md-6">
                <div class="ibox-content">
                    <form class="m-t" role="form" action="@Url.Action("Login","Security")" method="post">
                        <div class="form-group">
                            <input asp-for="Username" class="form-control" 
                                   placeholder="@Localizer["UsernameFld"]" >
                            <span asp-validation-for="Username" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <input asp-for="Password" class="form-control" 
                                   placeholder="@Localizer["PasswordFld"]">
                            <span asp-validation-for="Password" class="text-danger"></span>
                        </div>
                        
                        @if (Model.ErrorMessages.Count > 0)
                        {
                            <label class="error">@Model.ErrorMessages[0]</label>
                        }
                        <button type="submit" class="btn btn-success block full-width m-b">@Localizer["LoginLbl"]</button>

                        <a href="ForgotPassword">
                            <small>@Localizer["ForgotPasswordLbl"]</small>
                        </a>

                    </form>
                    <p class="m-t">
                        <small>@Localizer["Company"] &copy; 2020</small>
                    </p>
                </div>
            </div>
        </div>
        <hr />
        <div class="row">
            <div class="col-md-6">
                @Localizer["Copyright"]
            </div>
            <div class="col-md-6 text-right">
                <small>© 2020</small>
            </div>
        </div>
    </div>

</body>

</html>
